﻿#!/bin/bash

# editing /etc/hosts
sed -i -e 's/^127.0.0.1.*/127.0.0.1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts
sed -i -e 's/^::1.*/::1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts

apt-get -y update

# list of required packages
packageList="ssh astra-ad-sssd-client"
for packageName in $packageList; do
  apt-get -y install $packageName
done

# adding to the domain
astra-ad-sssd-client -d {{ domainname }} -u '{{ login }}' -p '{{ password }}' -y
